<?xml version="1.0" encoding="utf-8"?>
<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    tools:context=".TableLayoutActivity">

    <TableRow>
        <Button
            android:id="@+id/button_1"
            android:text="@string/button_1"/>
        <Button
            android:id="@+id/button_2"
            android:text="@string/button_2"/>
        <Button
            android:id="@+id/button_3"
            android:text="@string/button_3"/>
    </TableRow>

    <TableRow>
        <Button
            android:id="@+id/button_4"
            android:text="@string/button_4"/>
        <Button
            android:id="@+id/button_5"
            android:text="@string/button_5"/>
        <Button
            android:id="@+id/button_6"
            android:text="@string/button_6"/>
    </TableRow>

    <TableRow>
        <Button
            android:id="@+id/button_7"
            android:text="@string/button_7"/>
        <Button
            android:id="@+id/button_8"
            android:text="@string/button_8"/>
        <Button
            android:id="@+id/button_9"
            android:text="@string/button_9"/>
    </TableRow>
</TableLayout>